Summary: The PHP/FI PHP language module for the Apache Web server.
Name: phpfi
Version: 2.0.1
Release: 10
Group: System Environment/Daemons
Source0: http://www.vex.net/files/php-2.0.1.tar.gz
Source1: php-2.0.1-std.config
Patch1: php-2.0.1-dynamic.patch
Patch2: php-2.0.1-rh.patch
Copyright: GPL
BuildRoot: /tmp/php-root
Requires: webserver
Obsoletes: mod_php

%description
PHP is an HTML-embedded scripting language.  PHP attempts to make it
easy for developers to write dynamically generated web pages.  PHP
also offers built-in database integration for several commercial
and non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple.  The most
common use of PHP coding is probably as a replacement for CGI
scripts.  The mod_php module enables the Apache web server to
understand and process the embedded PHP language in web pages.

This package contains PHP/FI, or PHP version 2.01.  Unless you use
applications which specifically rely on PHP/FI, you should instead
install the php package, which contains PHP 3 or later.  PHP is an
improved and more capable update to PHP/FI.

%prep
%setup -q -n php-2.0.1
%patch1 -p1 -b .dynamic
%patch2 -p1 -b .rh

%build
autoconf
# this is gross
cat $RPM_SOURCE_DIR/php-2.0.1-std.config | grep -v "^#" | \
        CFLAGS="$RPM_OPT_FLAGS" ./install
cd src; make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
/usr/bin/install -m 755 src/mod_php.so $RPM_BUILD_ROOT/usr/lib/apache

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- changed name of package from mod_php to phpfi

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- built against apache 1.3.6.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- recompiled for apache-1.3.3

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- Updates for Apache 1.3.x
- made configure look for gdbm again
- name changed back to mod_php from php2.

* Fri Feb 27 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to compile it as a shared object for the apache/ssl (and
  future revisions of apache)

%files
/usr/lib/apache/mod_php.so
%doc doc/* README examples
